[QtCreator - linux] error: unrecognized command line option ‘-std=gnu++14’ 오류시 해결법


#1

리눅스 QtCreator를 IDE로 사용할때

error: unrecognized command line option ‘-std=gnu++14’ 

와 같은 에러가 발생할 경우 해결법입니다. 출처는 공식포럼 입니다.

libs/openFrameworksCompiled/project/qtcreator/modules/of/of.qbs 파일을 선호하는 에디터로 열어서
436라인 부근의 -std=gnu++14-std=c++11로 변경한 뒤 프로젝트를 다시 컴파일 하면 됩니다.